Bug 1416250 - User-vhost feature in qemu needed
Summary: User-vhost feature in qemu needed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.5-Alt
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Amnon Ilan
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-25 04:24 UTC by Kiran
Modified: 2017-02-07 13:39 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 13:39:28 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Kiran 2017-01-25 04:24:19 UTC
Description of problem:

For contrail DPDK vrouter, we are using user-vhost feature of qemu which is available from qemu 2.2. But the upstream qemu in RH is of a lesser version (qemu 1.5). We need a newer qemu or backport of this feature.

Comment 1 Kiran 2017-01-25 04:33:11 UTC
Once we have the required user-vhost functionality, we need the following patch to reconnect vrouter to the VMs -
https://github.com/Juniper/contrail-dpdk-extra-packages/tree/mitaka/patches/trusty/qemu

Comment 3 Karen Noel 2017-01-25 12:56:33 UTC
(In reply to Kiran from comment #0)
> Description of problem:
> 
> For contrail DPDK vrouter, we are using user-vhost feature of qemu which is
> available from qemu 2.2. But the upstream qemu in RH is of a lesser version
> (qemu 1.5). We need a newer qemu or backport of this feature.

vhost-user is available with the version of QEMU shipping with RH OpenStack Platform. 

For RHEL 7.3, we ship qemu-kvm-rhev-2.6.0, which also contains backports from 2.7. If you give us the upstream QEMU commit ID of the patch you are intesrested in, we can see if it's included in qemu-kvm-rhev-2.6.0. We likely have this patch, since Red Hat engineers were fixing vhost-user issues upstream. 

Is there some reason you need vhost-user in qemu-kvm that is shipped with RHEL? Red Hat does not support DPDK on RHEL/KVM virtual machines. It is technology typically used with OpenStack. Thanks.

Comment 4 Kiran 2017-02-06 17:33:05 UTC
qemu-kvm-rhev-2.6.0 has the required qemu version which we wanted (i.e qemu 2.6). The bug can be closed.


Note You need to log in before you can comment on or make changes to this bug.